//基准回归

reghdfe value RII,absorb(i.id i.origin_code) vce(cluster origin_code)

reghdfe value RII tfp size age lev ast roa ten hhi,absorb(i.id i.origin_code) vce(cluster origin_code)

reghdfe value RII tfp size age lev ast roa ten hhi indus gdp fd M2 ppi,absorb(i.id i.origin_code) vce(cluster origin_code)

//内生性处理

heckman value RII tfp size age lev ast roa ten hhi indus gdp fd M2 ppi i.id i.origin_code,select(RII tfp size age lev ast roa ten hhi indus gdp fd M2 ppi i.id i.origin_code) twostep

ivreghdfe value (RII=LRII1 LRII2) tfp size age lev ast roa ten hhi indus gdp fd M2 ppi, absorb(i.id i.origin_code) cluster(origin_code)

reghdfe value RII tfp size age lev ast roa ten hhi indus gdp fd M2 ppi,absorb(i.id i.origin_code) vce(cluster year)

reghdfe value RII tfp size age lev ast roa ten hhi indus gdp fd M2 ppi,absorb(i.id i.origin_code i.province_code i.ins1) vce(cluster origin_code)

reghdfe value did tfp size age lev ast roa ten hhi,absorb(i.id i.origin_code i.year) vce(cluster origin_code)

//稳健性检验

reghdfe value rii tfp size age lev ast roa ten hhi indus gdp fd M2 ppi,absorb(i.id i.origin_code) vce(cluster origin_code)

reghdfe value oci tfp size age lev ast roa ten hhi indus gdp fd M2 ppi,absorb(i.id i.origin_code) vce(cluster origin_code)

reghdfe value border tfp size age lev ast roa ten hhi,absorb(i.id i.origin_code i.year) vce(cluster origin_code)

winsor2 value tfp size age lev ast roa ten hhi indus gdp fd M2 ppi,cut(5 95)
reghdfe value_w RII tfp_w size_w age_w lev_w ast_w roa_w ten_w hhi_w indus_w gdp_w fd_w M2_w ppi_w,absorb(i.id i.origin_code) vce(cluster origin_code)

reghdfe value RII tfp size age lev ast roa ten hhi indus gdp fd M2 ppi if year!=2009,absorb(i.id i.origin_code) vce(cluster origin_code)

reghdfe value RII tfp size age lev ast roa ten hhi indus gdp fd M2 ppi if origin!="美国",absorb(i.id i.origin_code) vce(cluster origin_code)

//异质性分析：贸易方式、所有制、出口方、出口市场

reghdfe value RII tfp size age lev ast roa ten hhi indus gdp fd M2 ppi if own==1,absorb(i.id i.origin_code) vce(cluster origin_code)//国有
reghdfe value RII tfp size age lev ast roa ten hhi indus gdp fd M2 ppi if own==0,absorb(i.id i.origin_code) vce(cluster origin_code)//非国有
bdiff,group(own) model(reghdfe value RII tfp size age lev ast roa ten hhi indus gdp fd M2 ppi,absorb(i.id i.origin_code) vce(cluster origin_code)) reps(1000) bsample

reghdfe value RII tfp size age lev ast roa ten hhi indus gdp fd M2 ppi if type==0,absorb(i.id i.origin_code) vce(cluster origin_code)//一般贸易
reghdfe value RII tfp size age lev ast roa ten hhi indus gdp fd M2 ppi if type==1,absorb(i.id i.origin_code) vce(cluster origin_code)//加工贸易
bdiff,group(type) model(reghdfe value RII tfp size age lev ast roa ten hhi indus gdp fd M2 ppi,absorb(i.id i.origin_code) vce(cluster origin_code)) reps(1000) bsample

reghdfe value RII tfp size age lev ast roa ten hhi indus gdp fd M2 ppi if area==1,absorb(i.id i.origin_code) vce(cluster origin_code)//先行区
reghdfe value RII tfp size age lev ast roa ten hhi indus gdp fd M2 ppi if area==0,absorb(i.id i.origin_code) vce(cluster origin_code)//非先行区
bdiff,group(area) model(reghdfe value RII tfp size age lev ast roa ten hhi indus gdp fd M2 ppi,absorb(i.id i.origin_code) vce(cluster origin_code)) reps(1000) bsample

reghdfe value RII tfp size age lev ast roa ten hhi indus gdp fd M2 ppi if qsh==1,absorb(i.id i.origin_code) vce(cluster origin_code)//清算行
reghdfe value RII tfp size age lev ast roa ten hhi indus gdp fd M2 ppi if qsh==0,absorb(i.id i.origin_code) vce(cluster origin_code)//非清算行
bdiff,group(qsh) model(reghdfe value RII tfp size age lev ast roa ten hhi indus gdp fd M2 ppi,absorb(i.id i.origin_code) vce(cluster origin_code)) reps(1000) bsample

//机制分析

reghdfe value SA jiaohu tfp size age lev ast roa ten hhi,absorb(i.id i.origin_code i.year) vce(cluster origin_code)

reghdfe value rer jiaohu1 tfp size age lev ast roa ten hhi,absorb(i.id i.origin_code i.year) vce(cluster origin_code)

reghdfe value vol jiaohu2 tfp size age lev ast roa ten hhi,absorb(i.id i.origin_code i.year) vce(cluster origin_code)

//拓展性分析

reghdfe extensive RII tfp size age lev ast roa ten hhi indus gdp fd M2 ppi,absorb(i.id i.origin_code) vce(cluster origin_code)

reghdfe intensive RII tfp size age lev ast roa ten hhi indus gdp fd M2 ppi,absorb(i.id i.origin_code) vce(cluster origin_code)

reghdfe cklr RII tfp size age lev ast roa ten hhi indus gdp fd M2 ppi,absorb(i.id i.origin_code) vce(cluster origin_code)

reghdfe iquality RII tfp size age lev ast roa ten hhi indus gdp fd M2 ppi,absorb(i.id i.origin_code) vce(cluster origin_code)

reghdfe esi RII tfp size age lev ast roa ten hhi indus gdp fd M2 ppi,absorb(i.id i.origin_code) vce(cluster origin_code)

